Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-02-05 09:10:32 +0300
committerJunio C Hamano <junkio@cox.net>2006-02-05 09:16:22 +0300
commit7334f06ce6c53e161d1c183a5f93a23992b3c440 (patch)
tree314f66cf104264afe21872930c1a5a63de5c8221 /git-commit.sh
parent2d310d8a018ca1a8d3e4c8a52f60ae5f57f34b31 (diff)
Do not fall back on vi on dumb terminals.
When TERM is set to 'dumb', do not start vi to edit the commit log message. Suggested by Amos Waterland. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-commit.sh')
-rwxr-xr-xgit-commit.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/git-commit.sh b/git-commit.sh
index 193feeb5e4..10946ed5f9 100755
--- a/git-commit.sh
+++ b/git-commit.sh
@@ -207,6 +207,14 @@ then
fi
case "$no_edit" in
'')
+ case "${VISUAL:-$EDITOR},$TERM" in
+ ,dumb)
+ echo >&2 "Terminal is dumb but no VISUAL nor EDITOR defined."
+ echo >&2 "Please supply the commit log message using either"
+ echo >&2 "-m or -F option. A boilerplate log message has"
+ echo >&2 "been prepared in $GIT_DIR/COMMIT_EDITMSG"
+ exit 1 ;;
+ esac
${VISUAL:-${EDITOR:-vi}} "$GIT_DIR/COMMIT_EDITMSG"
;;
esac